import{s as xt,f as Se,n as Tt,o as Lt}from"../chunks/scheduler.63274e7e.js";import{S as Ct,i as Mt,g as r,s as i,r as F,A as _t,h as s,f as l,c as o,j as je,u as Q,x as a,k as u,y as $t,a as n,v as K,d as J,t as X,w as Z}from"../chunks/index.bf3f3f8e.js";import{H as te,E as bt}from"../chunks/EditOnGithub.7d836abf.js";function Ht(Be){let p,le,V,ne,h,ie,g,Oe,oe,c,Re="Welcome to the course that will teach you the most fascinating topic in game development: <strong>how to use powerful AI tools and models to create unique game experiences</strong>.",re,w,ze="New AI models are revolutionizing the Game Industry in two impactful ways:",se,d,Fe="<li><p>On <strong>how we make games</strong>:</p> <ul><li>Generate textures using AI</li> <li>Using AI voice actors for the voices.</li></ul></li> <li><p>How we <strong>create gameplay</strong>:</p> <ul><li>Crafting smart Non-Playable Characters (NPCs) using large language models.</li></ul></li>",ae,v,Qe="This course will <strong>teach you</strong>:",ue,y,Ke="<li>How to <strong>integrate AI models for innovative gameplay</strong>, featuring intelligent NPCs.</li> <li>How to use AI tools to help your game development pipeline.</li>",me,x,Je="In this introduction unit, you’ll:",pe,T,Xe="<li>Learn more about the <strong>course content and the syllabus</strong>.</li> <li>Learn the <strong>course requirements</strong>.</li> <li>Create your Hugging Face Account (it’s free)</li> <li>Sign up to our Discord server to chat with your classmates and us (the Hugging Face team).</li>",ge,L,Ze="Let’s get started!",fe,C,he,M,Ve="In this course, you will:",ce,_,et="<li>🤖 Learn to use <strong>powerful chat models to build intelligent NPC</strong>.</li> <li>🪄 Run <strong>these powerful AI models locally or with cloud APIs.</strong></li> <li>🎨 Use AI tools <strong>to accelerate your game development</strong>: generate voices with text-to-speech models using image generation tools…</li> <li>🎮 Work on <strong>exciting game demos</strong>.</li> <li>👩‍🎨 <strong>Build Your Own Game Demo</strong>.</li>",we,$,tt="And more!",de,b,lt="At the end of this course, you’ll get a <strong>solid foundation on using AI models in your games and AI tools in your game development</strong>.",ve,H,nt='Remember to <a href="http://eepurl.com/iCWDQw" rel="nofollow">sign up for the course</a> (we are collecting your email to be able to send you the links when each Unit is published and give you information about the challenges and updates).',ye,P,it='Sign up 👉 <a href="http://eepurl.com/iCWDQw" rel="nofollow">here</a>',xe,k,ot='For now, all our content uses the <a href="https://www.unity.com" rel="nofollow">Unity Game Engine</a>. In the future, we will add content about Unreal Engine, Godot, and more.',Te,I,rt="Naturally, for the demo, you can use any Game Engine you want (or no game engine), <strong>but we advise you to use Unity</strong>.",Le,A,Ce,G,st="This course <strong>is not an introduction to game development</strong>. You should have some skills in Unity to follow this course.",Me,U,at='If it’s not the case. Don’t worry, that’s the perfect time to start! To start making games with Unity, check out this fantastic course: <a href="https://learn.unity.com/course/create-with-code" rel="nofollow">Create with Code</a>, where you’ll learn to make five different games.',_e,E,ut="With this create with code free course, <strong>you’ll get everything you need to be able to follow the Machine Learning for Games Course</strong>.",$e,W,mt='Create with code course 👉 <a href="https://learn.unity.com/course/create-with-code" rel="nofollow">https://learn.unity.com/course/create-with-code</a>',be,f,pt,He,D,gt='In addition, you can watch this excellent introduction to Unity by <a href="https://www.youtube.com/@GMTK" rel="nofollow">GMTK (Game Maker’s Toolkit)</a>',Pe,m,ft,ke,q,Ie,N,ht="We don’t plan to have a unit on this for now. <strong>But the course will be improved with your feedback</strong>.",Ae,Y,ct="We already have a lot of free courses if you want to go deeper into:",Ge,S,wt='<li>Learning <a href="https://huggingface.co/learn/nlp-course" rel="nofollow">Natural Language Processing with Transformers</a></li> <li>Learning <a href="https://huggingface.co/learn/audio-course/chapter0/introduction" rel="nofollow">Audio Processing with Transformers (Speech-To-Text, Text-To-Speech…)</a></li> <li>Learn to <a href="https://www.deeplearning.ai/short-courses/building-generative-ai-applications-with-gradio/" rel="nofollow">build Generative AI Applications with Gradio</a></li>',Ue,j,Ee,B,dt="During this course, you will work on some demos we’ve made. But the most exciting part is that during the whole course <strong>you will also work on your demo</strong>.",We,O,vt="You’ll build a game demo using either:",De,R,yt="<li><p><strong>AI tools to help you build the game</strong> (for instance, texture generation, AI voice actors…).</p></li> <li><p>And or using an <strong>AI in the game as gameplay or for the NPC</strong>.</p></li>",qe,z,Ne,ee,Ye;return h=new te({props:{title:"Welcome to the 🤗 Machine Learning for Games Course",local:"introduction",headingTag:"h1"}}),C=new te({props:{title:"What to expect?",local:"what-to-expect",headingTag:"h2"}}),A=new te({props:{title:"But… I don’t know how to make games!",local:"but-i-dont-know-how-to-make-games",headingTag:"h2"}}),q=new te({props:{title:"Are we going to learn to train/fine-tune Transformer models and other AI models?",local:"are-we-going-to-learn-to-trainfine-tune-transformer-models-and-other-ai-models",headingTag:"h2"}}),j=new te({props:{title:"Your Goal during this course 🏆: Making Your Own Game Demo",local:"your-goal-during-this-course--making-your-own-game-demo",headingTag:"h2"}}),z=new bt({props:{source:"https://github.com/huggingface/making-games-with-ai-course/blob/main/units/en/unit0/introduction.mdx"}}),{c(){p=r("meta"),le=i(),V=r("p"),ne=i(),F(h.$$.fragment),ie=i(),g=r("img"),oe=i(),c=r("p"),c.innerHTML=Re,re=i(),w=r("p"),w.textContent=ze,se=i(),d=r("ul"),d.innerHTML=Fe,ae=i(),v=r("p"),v.innerHTML=Qe,ue=i(),y=r("ul"),y.innerHTML=Ke,me=i(),x=r("p"),x.textContent=Je,pe=i(),T=r("ul"),T.innerHTML=Xe,ge=i(),L=r("p"),L.textContent=Ze,fe=i(),F(C.$$.fragment),he=i(),M=r("p"),M.textContent=Ve,ce=i(),_=r("ul"),_.innerHTML=et,we=i(),$=r("p"),$.textContent=tt,de=i(),b=r("p"),b.innerHTML=lt,ve=i(),H=r("p"),H.innerHTML=nt,ye=i(),P=r("p"),P.innerHTML=it,xe=i(),k=r("p"),k.innerHTML=ot,Te=i(),I=r("p"),I.innerHTML=rt,Le=i(),F(A.$$.fragment),Ce=i(),G=r("p"),G.innerHTML=st,Me=i(),U=r("p"),U.innerHTML=at,_e=i(),E=r("p"),E.innerHTML=ut,$e=i(),W=r("p"),W.innerHTML=mt,be=i(),f=r("img"),He=i(),D=r("p"),D.innerHTML=gt,Pe=i(),m=r("iframe"),ke=i(),F(q.$$.fragment),Ie=i(),N=r("p"),N.innerHTML=ht,Ae=i(),Y=r("p"),Y.textContent=ct,Ge=i(),S=r("ul"),S.innerHTML=wt,Ue=i(),F(j.$$.fragment),Ee=i(),B=r("p"),B.innerHTML=dt,We=i(),O=r("p"),O.textContent=vt,De=i(),R=r("ul"),R.innerHTML=yt,qe=i(),F(z.$$.fragment),Ne=i(),ee=r("p"),this.h()},l(e){const t=_t("svelte-u9bgzb",document.head);p=s(t,"META",{name:!0,content:!0}),t.forEach(l),le=o(e),V=s(e,"P",{}),je(V).forEach(l),ne=o(e),Q(h.$$.fragment,e),ie=o(e),g=s(e,"IMG",{src:!0,alt:!0,width:!0}),oe=o(e),c=s(e,"P",{"data-svelte-h":!0}),a(c)!=="svelte-c4v744"&&(c.innerHTML=Re),re=o(e),w=s(e,"P",{"data-svelte-h":!0}),a(w)!=="svelte-1ih3s7p"&&(w.textContent=ze),se=o(e),d=s(e,"UL",{"data-svelte-h":!0}),a(d)!=="svelte-8whzuy"&&(d.innerHTML=Fe),ae=o(e),v=s(e,"P",{"data-svelte-h":!0}),a(v)!=="svelte-1glw3q2"&&(v.innerHTML=Qe),ue=o(e),y=s(e,"UL",{"data-svelte-h":!0}),a(y)!=="svelte-4cax1m"&&(y.innerHTML=Ke),me=o(e),x=s(e,"P",{"data-svelte-h":!0}),a(x)!=="svelte-1rnqb0j"&&(x.textContent=Je),pe=o(e),T=s(e,"UL",{"data-svelte-h":!0}),a(T)!=="svelte-ogoz90"&&(T.innerHTML=Xe),ge=o(e),L=s(e,"P",{"data-svelte-h":!0}),a(L)!=="svelte-4b3xjd"&&(L.textContent=Ze),fe=o(e),Q(C.$$.fragment,e),he=o(e),M=s(e,"P",{"data-svelte-h":!0}),a(M)!=="svelte-f2qxb3"&&(M.textContent=Ve),ce=o(e),_=s(e,"UL",{"data-svelte-h":!0}),a(_)!=="svelte-1no8wom"&&(_.innerHTML=et),we=o(e),$=s(e,"P",{"data-svelte-h":!0}),a($)!=="svelte-t67g99"&&($.textContent=tt),de=o(e),b=s(e,"P",{"data-svelte-h":!0}),a(b)!=="svelte-1d0jtag"&&(b.innerHTML=lt),ve=o(e),H=s(e,"P",{"data-svelte-h":!0}),a(H)!=="svelte-1g88ojb"&&(H.innerHTML=nt),ye=o(e),P=s(e,"P",{"data-svelte-h":!0}),a(P)!=="svelte-ehnhbr"&&(P.innerHTML=it),xe=o(e),k=s(e,"P",{"data-svelte-h":!0}),a(k)!=="svelte-7mas1o"&&(k.innerHTML=ot),Te=o(e),I=s(e,"P",{"data-svelte-h":!0}),a(I)!=="svelte-1gse6mb"&&(I.innerHTML=rt),Le=o(e),Q(A.$$.fragment,e),Ce=o(e),G=s(e,"P",{"data-svelte-h":!0}),a(G)!=="svelte-1nxsmpb"&&(G.innerHTML=st),Me=o(e),U=s(e,"P",{"data-svelte-h":!0}),a(U)!=="svelte-e7trk"&&(U.innerHTML=at),_e=o(e),E=s(e,"P",{"data-svelte-h":!0}),a(E)!=="svelte-1kwtrpg"&&(E.innerHTML=ut),$e=o(e),W=s(e,"P",{"data-svelte-h":!0}),a(W)!=="svelte-1uvvcef"&&(W.innerHTML=mt),be=o(e),f=s(e,"IMG",{src:!0,alt:!0,width:!0}),He=o(e),D=s(e,"P",{"data-svelte-h":!0}),a(D)!=="svelte-1yyl037"&&(D.innerHTML=gt),Pe=o(e),m=s(e,"IFRAME",{width:!0,height:!0,src:!0,title:!0,frameborder:!0,allow:!0}),je(m).forEach(l),ke=o(e),Q(q.$$.fragment,e),Ie=o(e),N=s(e,"P",{"data-svelte-h":!0}),a(N)!=="svelte-1pkf154"&&(N.innerHTML=ht),Ae=o(e),Y=s(e,"P",{"data-svelte-h":!0}),a(Y)!=="svelte-157bpc9"&&(Y.textContent=ct),Ge=o(e),S=s(e,"UL",{"data-svelte-h":!0}),a(S)!=="svelte-m74kmd"&&(S.innerHTML=wt),Ue=o(e),Q(j.$$.fragment,e),Ee=o(e),B=s(e,"P",{"data-svelte-h":!0}),a(B)!=="svelte-5o0dlx"&&(B.innerHTML=dt),We=o(e),O=s(e,"P",{"data-svelte-h":!0}),a(O)!=="svelte-ierz4b"&&(O.textContent=vt),De=o(e),R=s(e,"UL",{"data-svelte-h":!0}),a(R)!=="svelte-1ocnqy2"&&(R.innerHTML=yt),qe=o(e),Q(z.$$.fragment,e),Ne=o(e),ee=s(e,"P",{}),je(ee).forEach(l),this.h()},h(){u(p,"name","hf:doc:metadata"),u(p,"content",Pt),Se(g.src,Oe="https://huggingface.co/datasets/huggingface-ml-4-games-course/course-images/resolve/main/en/unit0/thumbnail.jpg")||u(g,"src",Oe),u(g,"alt","Thumbnail"),u(g,"width","100%"),Se(f.src,pt="https://huggingface.co/datasets/huggingface-ml-4-games-course/course-images/resolve/main/en/unit0/create_with_code.png")||u(f,"src",pt),u(f,"alt","Thumbnail"),u(f,"width","100%"),u(m,"width","560"),u(m,"height","315"),Se(m.src,ft="https://www.youtube.com/embed/XtQMytORBmM?si=D6Q-8kGZsJIRm7Pe")||u(m,"src",ft),u(m,"title","YouTube video player"),u(m,"frameborder","0"),u(m,"allow","accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"),m.allowFullscreen=""},m(e,t){$t(document.head,p),n(e,le,t),n(e,V,t),n(e,ne,t),K(h,e,t),n(e,ie,t),n(e,g,t),n(e,oe,t),n(e,c,t),n(e,re,t),n(e,w,t),n(e,se,t),n(e,d,t),n(e,ae,t),n(e,v,t),n(e,ue,t),n(e,y,t),n(e,me,t),n(e,x,t),n(e,pe,t),n(e,T,t),n(e,ge,t),n(e,L,t),n(e,fe,t),K(C,e,t),n(e,he,t),n(e,M,t),n(e,ce,t),n(e,_,t),n(e,we,t),n(e,$,t),n(e,de,t),n(e,b,t),n(e,ve,t),n(e,H,t),n(e,ye,t),n(e,P,t),n(e,xe,t),n(e,k,t),n(e,Te,t),n(e,I,t),n(e,Le,t),K(A,e,t),n(e,Ce,t),n(e,G,t),n(e,Me,t),n(e,U,t),n(e,_e,t),n(e,E,t),n(e,$e,t),n(e,W,t),n(e,be,t),n(e,f,t),n(e,He,t),n(e,D,t),n(e,Pe,t),n(e,m,t),n(e,ke,t),K(q,e,t),n(e,Ie,t),n(e,N,t),n(e,Ae,t),n(e,Y,t),n(e,Ge,t),n(e,S,t),n(e,Ue,t),K(j,e,t),n(e,Ee,t),n(e,B,t),n(e,We,t),n(e,O,t),n(e,De,t),n(e,R,t),n(e,qe,t),K(z,e,t),n(e,Ne,t),n(e,ee,t),Ye=!0},p:Tt,i(e){Ye||(J(h.$$.fragment,e),J(C.$$.fragment,e),J(A.$$.fragment,e),J(q.$$.fragment,e),J(j.$$.fragment,e),J(z.$$.fragment,e),Ye=!0)},o(e){X(h.$$.fragment,e),X(C.$$.fragment,e),X(A.$$.fragment,e),X(q.$$.fragment,e),X(j.$$.fragment,e),X(z.$$.fragment,e),Ye=!1},d(e){e&&(l(le),l(V),l(ne),l(ie),l(g),l(oe),l(c),l(re),l(w),l(se),l(d),l(ae),l(v),l(ue),l(y),l(me),l(x),l(pe),l(T),l(ge),l(L),l(fe),l(he),l(M),l(ce),l(_),l(we),l($),l(de),l(b),l(ve),l(H),l(ye),l(P),l(xe),l(k),l(Te),l(I),l(Le),l(Ce),l(G),l(Me),l(U),l(_e),l(E),l($e),l(W),l(be),l(f),l(He),l(D),l(Pe),l(m),l(ke),l(Ie),l(N),l(Ae),l(Y),l(Ge),l(S),l(Ue),l(Ee),l(B),l(We),l(O),l(De),l(R),l(qe),l(Ne),l(ee)),l(p),Z(h,e),Z(C,e),Z(A,e),Z(q,e),Z(j,e),Z(z,e)}}}const Pt='{"title":"Welcome to the 🤗 Machine Learning for Games Course","local":"introduction","sections":[{"title":"What to expect?","local":"what-to-expect","sections":[],"depth":2},{"title":"But… I don’t know how to make games!","local":"but-i-dont-know-how-to-make-games","sections":[],"depth":2},{"title":"Are we going to learn to train/fine-tune Transformer models and other AI models?","local":"are-we-going-to-learn-to-trainfine-tune-transformer-models-and-other-ai-models","sections":[],"depth":2},{"title":"Your Goal during this course 🏆: Making Your Own Game Demo","local":"your-goal-during-this-course--making-your-own-game-demo","sections":[],"depth":2}],"depth":1}';function kt(Be){return Lt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ut extends Ct{constructor(p){super(),Mt(this,p,kt,Ht,xt,{})}}export{Ut as component};
